SoTranslation(3IV)

NAME
SoTranslation — node representing a 3D translation

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoTransformation > SoTranslation

SYNOPSIS
#include <Inventor/nodes/SoTranslation.h>

Fields from class SoTranslation:

SoSFVec3f
translation

Methods from class SoTranslation:

SoTranslation()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node defines a translation by a 3D vector.

FIELDS
SoSFVec3f
translation
Translation vector.

METHODS

SoTranslation()
Creates a translation node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction, SoCallbackAction, SoGetBoundingBoxAction, SoRayPickAction
Accumulates translation into the current transformation.

SoGetMatrixAction
Returns the matrix corresponding to the translation.

FILE FORMAT/DEFAULTS
Translation {
translation	0 0 0
}

SEE ALSO
SoTransform